Skip to content
Start here

Create App

POST/accounts/{account_id}/realtime/kit/apps

Create new app for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string
Body ParametersJSONExpand Collapse
name: string
ReturnsExpand Collapse
data: optional object { app }
app: optional object { id, created_at, name }
id: optional string
created_at: optional string
name: optional string
success: optional boolean

Create App

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/apps \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "name": "name"
        }'
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "my-app-id",
      "name": "my-new-app"
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "my-app-id",
      "name": "my-new-app"
    }
  },
  "success": true
}